Error executing stripes quickstart archetype

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Error executing stripes quickstart archetype

Dan Kaplan-2
Here's my command line (sorry it's long, it's from my ide):

"C:\Program Files\Java\jdk1.6.0_34\bin\java" -Xms256m -XX:MaxPermSize=1024m -Xmx1024m -Dmaven.home=C:\apache-maven-3.0.4 -Dclassworlds.conf=C:\apache-maven-3.0.4\bin\m2.conf -Dfile.encoding=windows-1250 -classpath C:\apache-maven-3.0.4\boot\plexus-classworlds-2.4.jar org.codehaus.classworlds.Launcher --fail-fast --strict-checksums -DinteractiveMode=false -DgroupId=com.mirth.results.mirthresultsbrancher -DartifactId=MirthResultsBrancher -Dversion=1.0-SNAPSHOT -DarchetypeGroupId=net.sourceforge -DarchetypeArtifactId=stripes-archetype-quickstart -DarchetypeVersion=1.0 -DarchetypeRepository=http://sourceforge.net/projects/mvnstripes/files/stripes-quickstart-1.0/1.0 org.apache.maven.plugins:maven-archetype-plugin:RELEASE:generate

This is the error: [ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2.2:generate (default-cli) on project standalone-pom: The desired archetype does not exist (net.sourceforge:stripes-archetype-quickstart:1.0) -> [Help 1]


--
Thanks,
Dan

CONFIDENTIALITY NOTICE: The information contained in this electronic transmission may be confidential. If you are not an intended recipient, be aware that any disclosure, copying, distribution or use of the information contained in this transmission is prohibited and may be unlawful. If you have received this transmission in error, please notify us by email reply and then erase it from your computer system.
------------------------------------------------------------------------------
Android is increasing in popularity, but the open development platform that
developers love is also attractive to malware creators. Download this white
paper to learn more about secure code signing practices that can help keep
Android apps secure.
http://pubads.g.doubleclick.net/gampad/clk?id=65839951&iu=/4140/ostg.clktrk
_______________________________________________
Stripes-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/stripes-users
Reply | Threaded
Open this post in threaded view
|

Re: Error executing stripes quickstart archetype

Dan Kaplan-2
I also get a different error when I try the command from the wiki on this page: http://www.stripesframework.org/display/stripes/Maven2+Archetype+for+Stripes

$ mvn archetype:create -DarchetypeArtifactId=stripes-archetype-quickstart -DarchetypeGroupId=net.sourceforge -DarchetypeVersion=1.0 -DgroupId=myGroup -DartifactId=stripesTest -DarchetypeRepository=http://sourceforge.net/projects/mvnstripes/files/stripes-quickstart-1.0/1.0
[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building MirthResultsBrancher 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-archetype-plugin:2.2:create (default-cli) @ MirthResultsBrancher ---
[WARNING] This goal is deprecated. Please use mvn archetype:generate instead
[INFO] Defaulting package to group ID: myGroup
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.110s
[INFO] Finished at: Mon Nov 04 10:55:30 PST 2013
[INFO] Final Memory: 11M/309M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2.2:create (default-cli) on project MirthResultsBrancher: Error creating from archetype: org.apache.maven.archetype.downloader.DownloadNotFoundException: Requested net.sourceforge:stripes-archetype-quickstart:jar:1.0 download does not exist. Failure to find net.sourceforge:stripes-archetype-quickstart:jar:1.0 in http://repo.corp.mirthcorp.com/repository/libs-release was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=net.sourceforge -DartifactId=stripes-archetype-quickstart -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the file there:
[ERROR] mvn deploy:deploy-file -DgroupId=net.sourceforge -DartifactId=stripes-archetype-quickstart -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR]
[ERROR] net.sourceforge:stripes-archetype-quickstart:jar:1.0
[ERROR]
[ERROR] from the specified remote repositories:
[ERROR] central (http://repo.corp.mirthcorp.com/repository/libs-release, releases=true, snapshots=false),
[ERROR] snapshots (http://repo.corp.mirthcorp.com/repository/libs-snapshot, releases=true, snapshots=true)
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:



On Mon, Nov 4, 2013 at 10:54 AM, Dan Kaplan <[hidden email]> wrote:
Here's my command line (sorry it's long, it's from my ide):

"C:\Program Files\Java\jdk1.6.0_34\bin\java" -Xms256m -XX:MaxPermSize=1024m -Xmx1024m -Dmaven.home=C:\apache-maven-3.0.4 -Dclassworlds.conf=C:\apache-maven-3.0.4\bin\m2.conf -Dfile.encoding=windows-1250 -classpath C:\apache-maven-3.0.4\boot\plexus-classworlds-2.4.jar org.codehaus.classworlds.Launcher --fail-fast --strict-checksums -DinteractiveMode=false -DgroupId=com.mirth.results.mirthresultsbrancher -DartifactId=MirthResultsBrancher -Dversion=1.0-SNAPSHOT -DarchetypeGroupId=net.sourceforge -DarchetypeArtifactId=stripes-archetype-quickstart -DarchetypeVersion=1.0 -DarchetypeRepository=http://sourceforge.net/projects/mvnstripes/files/stripes-quickstart-1.0/1.0 org.apache.maven.plugins:maven-archetype-plugin:RELEASE:generate

This is the error: [ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2.2:generate (default-cli) on project standalone-pom: The desired archetype does not exist (net.sourceforge:stripes-archetype-quickstart:1.0) -> [Help 1]


--
Thanks,
Dan



--
Thanks,
Dan

CONFIDENTIALITY NOTICE: The information contained in this electronic transmission may be confidential. If you are not an intended recipient, be aware that any disclosure, copying, distribution or use of the information contained in this transmission is prohibited and may be unlawful. If you have received this transmission in error, please notify us by email reply and then erase it from your computer system.
------------------------------------------------------------------------------
Android is increasing in popularity, but the open development platform that
developers love is also attractive to malware creators. Download this white
paper to learn more about secure code signing practices that can help keep
Android apps secure.
http://pubads.g.doubleclick.net/gampad/clk?id=65839951&iu=/4140/ostg.clktrk
_______________________________________________
Stripes-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/stripes-users
Reply | Threaded
Open this post in threaded view
|

Re: Error executing stripes quickstart archetype

VANKEISBELCK Remi
Hi Dan,

The archetype ain't in maven central :

According to the wiki, there's a repo to use for this artefact, but it doesn't look like a m2 repo at all (only a sf download).

I would suggest rebuilding locally : checkout the code and run mvn clean install. This will install the archetype to your local repo, and you should then be able to use it.

HTH

Rémi  




2013/11/4 Dan Kaplan <[hidden email]>
I also get a different error when I try the command from the wiki on this page: http://www.stripesframework.org/display/stripes/Maven2+Archetype+for+Stripes

$ mvn archetype:create -DarchetypeArtifactId=stripes-archetype-quickstart -DarchetypeGroupId=net.sourceforge -DarchetypeVersion=1.0 -DgroupId=myGroup -DartifactId=stripesTest -DarchetypeRepository=http://sourceforge.net/projects/mvnstripes/files/stripes-quickstart-1.0/1.0
[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building MirthResultsBrancher 1.0-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-archetype-plugin:2.2:create (default-cli) @ MirthResultsBrancher ---
[WARNING] This goal is deprecated. Please use mvn archetype:generate instead
[INFO] Defaulting package to group ID: myGroup
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 1.110s
[INFO] Finished at: Mon Nov 04 10:55:30 PST 2013
[INFO] Final Memory: 11M/309M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2.2:create (default-cli) on project MirthResultsBrancher: Error creating from archetype: org.apache.maven.archetype.downloader.DownloadNotFoundException: Requested net.sourceforge:stripes-archetype-quickstart:jar:1.0 download does not exist. Failure to find net.sourceforge:stripes-archetype-quickstart:jar:1.0 in http://repo.corp.mirthcorp.com/repository/libs-release was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced
[ERROR]
[ERROR] Try downloading the file manually from the project website.
[ERROR]
[ERROR] Then, install it using the command:
[ERROR] mvn install:install-file -DgroupId=net.sourceforge -DartifactId=stripes-archetype-quickstart -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file
[ERROR]
[ERROR] Alternatively, if you host your own repository you can deploy the file there:
[ERROR] mvn deploy:deploy-file -DgroupId=net.sourceforge -DartifactId=stripes-archetype-quickstart -Dversion=1.0 -Dpackaging=jar -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
[ERROR]
[ERROR]
[ERROR] net.sourceforge:stripes-archetype-quickstart:jar:1.0
[ERROR]
[ERROR] from the specified remote repositories:
[ERROR] central (http://repo.corp.mirthcorp.com/repository/libs-release, releases=true, snapshots=false),
[ERROR] snapshots (http://repo.corp.mirthcorp.com/repository/libs-snapshot, releases=true, snapshots=true)
[ERROR] -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following articles:



On Mon, Nov 4, 2013 at 10:54 AM, Dan Kaplan <[hidden email]> wrote:
Here's my command line (sorry it's long, it's from my ide):

"C:\Program Files\Java\jdk1.6.0_34\bin\java" -Xms256m -XX:MaxPermSize=1024m -Xmx1024m -Dmaven.home=C:\apache-maven-3.0.4 -Dclassworlds.conf=C:\apache-maven-3.0.4\bin\m2.conf -Dfile.encoding=windows-1250 -classpath C:\apache-maven-3.0.4\boot\plexus-classworlds-2.4.jar org.codehaus.classworlds.Launcher --fail-fast --strict-checksums -DinteractiveMode=false -DgroupId=com.mirth.results.mirthresultsbrancher -DartifactId=MirthResultsBrancher -Dversion=1.0-SNAPSHOT -DarchetypeGroupId=net.sourceforge -DarchetypeArtifactId=stripes-archetype-quickstart -DarchetypeVersion=1.0 -DarchetypeRepository=http://sourceforge.net/projects/mvnstripes/files/stripes-quickstart-1.0/1.0 org.apache.maven.plugins:maven-archetype-plugin:RELEASE:generate

This is the error: [ERROR] Failed to execute goal org.apache.maven.plugins:maven-archetype-plugin:2.2:generate (default-cli) on project standalone-pom: The desired archetype does not exist (net.sourceforge:stripes-archetype-quickstart:1.0) -> [Help 1]


--
Thanks,
Dan



--
Thanks,
Dan

CONFIDENTIALITY NOTICE: The information contained in this electronic transmission may be confidential. If you are not an intended recipient, be aware that any disclosure, copying, distribution or use of the information contained in this transmission is prohibited and may be unlawful. If you have received this transmission in error, please notify us by email reply and then erase it from your computer system.

------------------------------------------------------------------------------
Android is increasing in popularity, but the open development platform that
developers love is also attractive to malware creators. Download this white
paper to learn more about secure code signing practices that can help keep
Android apps secure.
http://pubads.g.doubleclick.net/gampad/clk?id=65839951&iu=/4140/ostg.clktrk
_______________________________________________
Stripes-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/stripes-users



------------------------------------------------------------------------------
November Webinars for C, C++, Fortran Developers
Accelerate application performance with scalable programming models. Explore
techniques for threading, error checking, porting, and tuning. Get the most
from the latest Intel processors and coprocessors. See abstracts and register
http://pubads.g.doubleclick.net/gampad/clk?id=60136231&iu=/4140/ostg.clktrk
_______________________________________________
Stripes-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/stripes-users